Announcement

Collapse
No announcement yet.

AIGLX probs

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • AIGLX probs

    I used the tutorial on the redblog.
    if all went well, on an i386 target there should be ATI-fglrx-8.29.6-1.fc6.i386.rpm, ATI-fglrx-control-panel-8.29.6-1.fc6.i386.rpm, ATI-fglrx-devel-8.29.6-1.fc6.i386.rpm, and kernel-module-ATI-fglrx-KERNEL-VERSION.fc6-8.29.6-1.fc6.i386.rpm in the working directory. These RPMs can then be installed. During the RPM install process it will run aticonfig --initial, but if this is a fresh FC6 install one more step is needed. Ensure that the below segment is found in /etc/X11/xorg.conf, otherwise Mesa will be used when restarting X. If this portion is not found in your X configuration, add it:
    The .rpm's did no download into the working directory. Is there a way to wget these? or other methods?

  • #2
    What happens when you run the script? The RPMs should be in the working directory unless you get an error output.

    Livna should have RPMs if you're interested in those.
    Michael Larabel
    http://www.michaellarabel.com/

    Comment


    • #3
      The script runs fine, it just doesn't add the rpm's.

      How do I get the livna?

      I saw it mentioned elsewhere. And do I need to do anything else with them to compile it with ATI?

      Thanks

      Comment


      • #4
        Are you using --buildpkg Fedora/FC6 ? The RPMs should be there unless there is an error or something else in the output.

        www.livna.org
        Michael Larabel
        http://www.michaellarabel.com/

        Comment


        • #5
          Thanks for your help michael, it has been a long time since I have used Fedora. I didn't realize the --buildpkg was part of the command. I ran it and got the following error.

          Code:
          [root@dh7c8rb1 tomg]# 
          [root@dh7c8rb1 tomg]# ./ati-driver-installer-8.29.6.run --buildpkg Fedora/FC6
          Creating directory fglrx-install
          Verifying archive integrity... All good.
          Uncompressing ATI Proprietary Linux Driver-8.29.6.............................................................................................................................................................................................................................................................................................................................................................................................................................................................................................
          ==================================================
           ATI Technologies Linux Driver Installer/Packager 
          ==================================================
          Generating package: Fedora/FC6
          ./packages/Fedora/ati-packager.sh: line 195: /etc/profile.d/qt.sh: No such file or directory
          Removing temporary directory: fglrx-install
          Last edited by hookooekoo; 10-31-2006, 07:02 PM. Reason: Remove garbage

          Comment


          • #6
            You need to install qt-devel (v3.3 not Qt 4).

            Also, grab the 8.30.3 driver otherwise the 8.29.6 virgin driver won't work on FC6 final. See: http://www.phoronix.com/redblog/?p=blog&i=NTU1MA If you use the 8.29.6 driver you will need to use that install script at Redblog but with 8.30.3 it should work fine with the original driver using --buildpkg Fedora/FC6.
            Michael Larabel
            http://www.michaellarabel.com/

            Comment


            • #7
              Thanks again. I would know how to do this in gentoo, but not red hat.

              Do i need to remove QT 4 first too? and what is the easiest way to do that.

              Thx.

              Comment


              • #8
                Qt4 can remain installed, but Qt 3.3 and qt-devel are requirements.

                Can be handled via yum or graphically from Applications > Add / Remove
                Michael Larabel
                http://www.michaellarabel.com/

                Comment


                • #9
                  Yah I ran the Yum command and that installed it. Now I am getting another error.

                  Code:
                  install: cannot stat `fireglcontrolpanel': No such file or directory
                  Package build failed!
                  Package build utility output:
                  ./packages/Fedora/ati-packager.sh: line 306: rpmbuild: command not found
                  Removing temporary directory: fglrx-install
                  Ok so I am installing rpm-build now, gg error message reading comprehension.
                  Last edited by hookooekoo; 10-31-2006, 07:35 PM. Reason: I am a fool

                  Comment


                  • #10
                    Originally posted by hookooekoo View Post
                    Yah I ran the Yum command and that installed it. Now I am getting another error.

                    Code:
                    install: cannot stat `fireglcontrolpanel': No such file or directory
                    Package build failed!
                    Package build utility output:
                    ./packages/Fedora/ati-packager.sh: line 306: rpmbuild: command not found
                    Removing temporary directory: fglrx-install
                    Ok so I am installing rpm-build now, gg error message reading comprehension.
                    Hey, you will also need to install the gcc-c++ libs as well.
                    yum install gcc-c++
                    should do it.
                    oh yeah,
                    yum install rpm-build

                    Comment

                    Working...
                    X